unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Crypt, ComCtrls, Buttons;

type
  TForm1 = class(TForm)
    StatusBar1: TStatusBar;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    Button1: TButton;
    Button2: TButton;
    Memo1: TMemo;
    Edit1: TEdit;
    Label1: TLabel;
    Edit2: TEdit;
    Edit3: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    Button3: TButton;
    Button4: TButton;
    Label4: TLabel;
    Edit4: TEdit;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    PGCrypt1: TPGCrypt;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  Temp: TStringList;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);

begin

  PGCrypt1.Password := Edit1.Text;
  PGCrypt1.EncryptStringList(Temp);
  Memo1.Lines.Assign(Temp);

end;

procedure TForm1.Button2Click(Sender: TObject);

begin
  PGCrypt1.Password := Edit1.Text;
  PGCrypt1.DecryptStringList(Temp);
  Memo1.Lines.Assign(Temp);

end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Temp := TStringList.Create;
  Temp.LoadFromFile('c:\autoexec.bat');
  Memo1.Lines.Assign(Temp);
end;

procedure TForm1.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
  Temp.Free;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  PGCrypt1.InputFile := Edit2.Text;
  PGCrypt1.OutputFile := Edit3.Text;
  PGCrypt1.Password := Edit4.Text;
  PGCrypt1.Encrypt;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  PGCrypt1.InputFile := Edit2.Text;
  PGCrypt1.OutputFile := Edit3.Text;
  PGCrypt1.Password := Edit4.Text;
  PGCrypt1.Decrypt;
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  OpenDialog1.Execute;
  Edit2.Text := OpenDialog1.FileName;
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
  SaveDialog1.Execute;
  Edit3.Text := SaveDialog1.FileName;
end;

end.
